🚧 [Experimental] List REST catalogs
Returns a list of REST catalogs available to the current DataLens tenant.
Request
POST
https://api.datalens.tech/rpc/listCatalogs
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"cloudEnvironmentId": "example",
"filter": [
"example"
],
"pageSize": 0,
"pageToken": "example",
"sortBy": "name",
"reverseOrder": true,
"includePermissions": true
}
|
Name |
Description |
|
cloudEnvironmentId |
Type: string ID of the cloud environment to list REST catalogs in. Lists the whole tenant when omitted. Example: |
|
filter |
Type: string[] Filter expressions such as name="…"; only matching REST catalogs are returned. Example
|
|
includePermissions |
Type: boolean Include permission information in the response. |
|
pageSize |
Type: integer Maximum number of REST catalogs to return. The default is 100. Min value: |
|
pageToken |
Type: string Token for the next page of REST catalogs. Example: |
|
reverseOrder |
Type: boolean Whether to sort REST catalogs in descending order. |
|
sortBy |
Type: string Field used to sort REST catalogs. Enum: |
Responses
200 OK
Response
Body
application/json
{
"restCatalogs": [
{
"id": "example",
"organizationId": "example",
"tenantId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdById": "example",
"updatedAt": {
"seconds": "example",
"nanos": 0.5
},
"bucket": {
"settings": {
"storageClass": "example",
"maxSize": "example",
"alias": "example",
"description": "example"
},
"details": {
"usedSize": "example",
"maxSize": "example",
"updatedAt": {}
}
},
"permissions": {}
}
],
"nextPageToken": "example"
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
nextPageToken |
Type: string Token for the next page of REST catalogs. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
restCatalogs |
Type: object[]
REST catalogs matching the request. Example
|